%define         git          ""
%define         gitdate      20151019
%define         major        7
%define         libname      %mklibname yui %{major}-mga-ncurses
%define         develname    %mklibname -d yui-mga-ncurses

Name:           libyui-mga-ncurses
Version:        1.0.2
Release:        %mkrel 3
Summary:        UI abstraction library - Mageia extension ncurses plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            git@bitbucket.org:_pmat_/libyui-mga-ncurses.git
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:    yui-devel                 >= 3.1.2
BuildRequires:    %{_lib}yui-ncurses-devel
BuildRequires:    %{_lib}yui-mga-devel      >= 1.0.4
BuildRequires:    ncursesw-devel 
BuildRequires:    ncurses-devel
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
%if %mgaver > 3
BuildRequires:    texlive-dist
%endif
BuildRequires:    graphviz
BuildRequires:    ghostscript
Requires:         libyui
Requires:         libyui-mga
Requires:         libyui-ncurses

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-ncurses.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-mga-ncurses development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-mga-ncurses.pc
%{_libdir}/cmake/libyui-mga-ncurses
%doc %{_docdir}/libyui-mga-ncurses%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
mkdir build
cd build
cmake \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes   \
    -DCMAKE_BUILD_TYPE=RELWITHDEBINFO ..

make docs

%install
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Oct 09 2016 anaselli <anaselli> 1.0.2-3.mga6
+ Revision: 1059764
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.2-2.mga6
+ Revision: 925825
- rebuilt for new yui.mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.2-1.mga6
+ Revision: 892897
- 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-0.git20131214.5.mga5
+ Revision: 740929
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-0.git20131214.4.mga5
+ Revision: 681915
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 anaselli <anaselli> 1.0.1-0.git20131214.3.mga5
+ Revision: 617394
- Added version dependency

* Fri Apr 18 2014 anaselli <anaselli> 1.0.1-0.git20131214.2.mga5
+ Revision: 616899
- rebuilt for new libyui
- Avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.1-0.git20131214.1.mga5
+ Revision: 610502
- fixed dependencies
- Synked sources
- new version 1.0.1

  + matteo <matteo>
    - imported package libyui-mga-ncurses

